Bug 124025 - gnome-terminal ignores anti-aliasing settings
Summary: gnome-terminal ignores anti-aliasing settings
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-terminal   
(Show other bugs)
Version: 2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-23 00:16 UTC by Hrunting Johnson
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-11 21:31:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Hrunting Johnson 2004-05-23 00:16:26 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040518 Firefox/0.8

Description of problem:
I have this in my /etc/fonts/local.conf

<!--
  Don't anti-alias small fonts
-->
        <match target="font">
                <test qual="any" name="size" compare="more">
                        <int>6</int>
                </test>
                <test qual="any" name="size" compare="less">
                        <int>12</int>
                </test>
                <edit name="antialias" mode="assign">
                        <bool>false</bool>
                </edit>
        </match>

Every app on my system is anti-aliasing fonts the way I would expect
(ie. not anti-aliasing the small fonts), except for gnome-terminal,
which insists on AA'ing all fonts regardless of size.  It does this
for fonts in the terminal itself.  The menu and titlebars reflect the
fontconfig settings.

Disabling anti-aliased fonts altogether in gnome-font-properties does
prevent the terminal fonts from being anti-aliased.

Version-Release number of selected component (if applicable):
gnome-terminal-2.6.0-2

How reproducible:
Always

Steps to Reproduce:
1. edit /etc/fonts/local.conf and add above configuration
2. start gnome-terminal and set font size to value between 6 and 12

Actual Results:  Fonts of rendered terminal text are anti-aliased

Expected Results:  Fonts of rendered terminal text are anti-aliased

Additional info:

I'm using Lucida Console as my terminal font which very clearly shows
the anti-aliasing, especially at small sizes.  I haven't yet found a
bitmap font that compares to Lucida Console.

Comment 1 Matthew Miller 2005-04-26 16:20:33 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Comment 2 Ray Strode [halfline] 2005-05-11 21:31:50 UTC
Hi,

This bug is being closed because it has been in the NEEDINFO state for a long
time now.  Feel free to reopen the bug report if the problem still happens for
you and you can provide any information that was requested.


Note You need to log in before you can comment on or make changes to this bug.